from . import LbmPs

def accuracy():
    sizes = [128, 256, 512, 1028]
    lattices = ["D2Q9", "D2V17"]
    times = []
    for lattice_name in lattices:
        time_by_lattice = []
        for size in sizes:
            print("{} Starting size: {}".format(lattice_name, size))
            t = lbm_ps.run_lbm(lattice_name, 0.55, size, 10)
            time_by_lattice.append(t)
        times.append(time_by_lattice)
    print(times)

if __main__ == "__main__":
    accuracy()
